/*	$Id: RHTMLBar.r,v 1.3 1999/05/20 14:41:05 maarten Exp $
	
	Copyright Hekkelman Programmatuur b.v.
	Maarten L. Hekkelman
	
	Created: 05/20/99 13:17:36
	
	This is the resource file that generates the HTML Palette for Pe.
	
	You can modify this palette if you want to and replace the default
	palette with your own customized version. To do so, select the following
	lines and execute them:

cd $PE_DIR/Goodies
rez -o "HTML Palette" RHTMLPalette.r
mv "HTML Palette" $PE_SETTINGS_DIR
	
	This will compile the RHTMLBar.r file in the goodies directory, that's the
	file you're reading now. The result will be moved to the settingsdir of Pe.
	Now if you quit Pe and relaunch it you will see it has a new palette (if you
	changed it) containing the new items you added or changed.
*/

//#include "../Sources/PMessages.h"
#define msg_ShowInBrowser		'Brws'
#define msg_HTMLNew				'HNew'

Type 'HtmB' {
	cstring;										// Bar name
	longint;										// flags (unused for now)
	longint;										// Width of the bar
	longint = $$CountOf(items);
	array items {
		switch {
			case Simple:
				key longint = 'btn ';
				cstring;							// label
				cstring;							// glossary
			case Menu:
				key longint = 'menu';
				cstring;							// label
				array {
					cstring;						// MenuItemLabel
					cstring;						// glossary
				};
				byte = 0;
			case Dialog:
				key longint = 'dlog';
				cstring;							// label
				cstring;							// Extension name
			case Command:
				key longint = 'cmnd';
				cstring;							// label
				longint;							// command
		}
	};
};

Resource 'HtmB' (0) {
	"Html Palette",
	0,
	85,
	{
		Command	{ "New", msg_HTMLNew },
		Menu			{ "Font",
							{
								"Teletype", "<tt>$selection$$insert$</tt>",
								"Italic", "<i>$selection$$insert$</i>",
								"Bold", "<b>$selection$$insert$</b>",
								"Big", "<big>$selection$$insert$</big>",
								"Small", "<small>$selection$$insert$</small>",
								"Superscript", "<sup>$selection$$insert$</sup>",
								"Subscript", "<sub>$selection$$insert$</sub>",
							}
						},
		Menu			{ "Structure",
							{
								"Emphasis", "<em>$selection$$insert$</em>",
								"Strong", "<strong>$selection$$insert$</strong>",
								"Citation", "<cite>$selection$$insert$</cite>",
								"Definition", "<dfn>$selection$$insert$</dfn>",
								"Emphasis", "<em>$selection$$insert$</em>",
								"Code", "<code>$selection$$insert$</code>",
								"Sample", "<samp>$selection$$insert$</samp>",
								"Keyboard", "<kbd>$selection$$insert$</kbd>",
								"Variable", "<var>$selection$$insert$</var>",
								"Abbreviated", "<abbr>$selection$$insert$</abbr>",
								"Acronym", "<acronym>$selection$$insert$</acronym>",
								"Preformatted", "<pre>$selection$$insert$</pre>",
							}
						},
		Menu			{ "Heading",
							{
								"Heading 1", "<h1>$selection$$insert$</h1>",
								"Heading 2", "<h2>$selection$$insert$</h2>",
								"Heading 3", "<h3>$selection$$insert$</h3>",
								"Heading 4", "<h4>$selection$$insert$</h4>",
								"Heading 5", "<h5>$selection$$insert$</h5>",
								"Heading 6", "<h6>$selection$$insert$</h6>"
							}
						},
		Menu			{ "Quotation",
							{
								"Blockquote", "<blockquote>\n\t<p>$selection$$insert$\n</blockquote>\n",
								"Quote", "<q>$selection$$insert$</q>"
							}
						},
		Menu			{ "Lists",
							{
								"Ordered", "<ol>\n\t<li>$selection$$insert$\n</ol>",
								"Unordered", "<ul>\n\t<li>$selection$$insert$\n</ul>",
								"Definition", "<dl>\n\t<dt>$selection$$insert$\n\t<dd>\n</dl>"
							}
						},
		Dialog			{ "Image…", "HTMLImage" },
		Dialog			{ "Anchor…", "HTMLAnchor" },
		Dialog			{ "Update", "HTMLUpdate" },
		Simple		{ "Paragraph", "<p>$selection$$insert$\n</p>\n" },
		Simple		{ "Linebreak", "<br>\n" },
		Command	{ "Preview", msg_ShowInBrowser }
	}
};
